Skip to main content

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_DIRECT_MESSAGE_CREATED",
  "parameters": {}
}
Configuration options: This trigger does not require any configuration options.

Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in Receiving Webhooks.
Example
{
  "type": "im_created",
  "user": "mock-user-id",
  "channel": {
    "id": "C0553690LQM",
    "user": "mock-user-id",
    "is_im": true,
    "latest": null,
    "is_open": false,
    "updated": 1764319159873,
    "is_frozen": false,
    "last_read": "0000000000.000000",
    "is_archived": false,
    "unread_count": 0,
    "is_channel": true,
    "name": "test-webhook",
    "name_normalized": "test-webhook",
    "created": 1682576941,
    "creator": "U02T23UL0R1",
    "is_shared": false,
    "is_org_shared": false,
    "context_team_id": "TM7FL705V",
    "unread_count_display": 0
  },
  "event_ts": "1682576941.441499"
}